For the complete documentation index, see llms.txt. This page is also available as Markdown.

Hourtypes

Get hourtypes

get
/hourtypes/

This api is used to sync external hourtypes with WorkorderApp. Each hourtype record can contain the following data:

Parameter
Required
Type (size)

code

Y

Varchar (255)

name

Y

Varchar (255)

cost_booking

Y

Integer (1 or 0)

sale_booking

Y

Integer (1 or 0)

sale_price

Y

Decimal (> 0)

cost_price

N

Decimal (> 0)

active

N

Integer (1 or 0)

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Query parameters
tokenstringOptionalExample: {{client_token}}
software_tokenstringOptionalExample: {{software_token}}
Responses
200

Response_200

No content

get/hourtypes/
GET /hourtypes/ HTTP/1.1
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
200

Response_200

No content

Add hourtypes

post
/hourtypes/

This api is used to sync external hourtypes with WorkorderApp. Each hourtype record can contain the following data:

Parameter
Required
Type (size)

code

Y

Varchar (255)

name

Y

Varchar (255)

cost_booking

Y

Integer (1 or 0)

sale_booking

Y

Integer (1 or 0)

sale_price

Y

Decimal (> 0)

cost_price

N

Decimal (> 0)

active

N

Integer (1 or 0)

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Query parameters
tokenstringOptionalExample: {{client_token}}
software_tokenstringOptionalExample: {{software_token}}
Responses
200

Response_200

No content

post/hourtypes/
POST /hourtypes/ HTTP/1.1
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
200

Response_200

No content

Last updated

Was this helpful?